Subject: Re: Virtex2pro OPB frequency 10/100Mbs ethernet link related problem

From: Pierre Kestener <[email-masked]>
Date: Thu, 21 Apr 2005 17:17:56 +0200

Hello,

i made a mistake by downloading the wrong  bitstream into the  virtex, 
so the linux kernel was ok but  not the FPGA.
My previous message must not be taken into account.

sorry
Pierre Kestener.

Pierre Kestener wrote:

> Hello,
>
> I have noticed a strange behavior regarding NFS on my target 
> (Virtex2pro ff1152 from Memec) when increasing OPB/PLB bus frequency 
> from 50 MHz to 66.666667MHz to be able to use a 100 Mbs ethernet link 
> (it is mentionned in the OPB/EMAC IP doc
> that Bus clock should be more than 65 MHz to have 100Mbs).
>
> I use U-boot (ML300 port with small modifications) for the bootloader 
> step (download linux kernel via tftp) and kernel 2.4.20. The root 
> filesytem is mounted via NFS.
>
> At 50MHz, everything works fine. Ethernet link speed is 10 Mbs. I can 
> check that on my Ethernet switch.
>
> When using 66.666667MHz OPB frequency, ethernet Link speed is indeed 
> 100Mbs. U-boot works perfectly but linux boot fails trying to get nfs 
> server port !!!
>
> Using "tcpdump" on my linux host, i can see that target sends ARP 
> packets and the server replies but nothing happends...
>
>    09:04:28.848228 arp who-has myHost.extra.cea.fr tell 132.166.xxx.yyy
>    09:04:28.848265 arp reply myHost.extra.cea.fr is-at 00:06:5b:xx:yy:zz
>
> Has anyone seen such a behavior, using a 100Mbs ethernet link with a 
> Virtex2pro target ?
> Any idea regarding this problem (hardware or software) ?
>
> Thanks a lost.
> Best Regards.
>
> Pierre Kestener.
>

-- 
+-------------------------------------------+
 CEA Saclay -- DSM/DAPNIA/SEDI
 91191 Gif-sur-Yvette - FRANCE
 tel : +33 (0)1 69 08 57 09
 http://pierre.kestener.free.fr/
+-------------------------------------------+